using UnityEngine;
using System.Collections;
using UnityEngine.UI;

public enum Direction{Up,Right,Down,Left}

public enum GameType{single=1,two}

public class GlobalObjects
{
	public static Canvas mainCanvas = null; 
	public static DirectionContainerScript directionContainerPrefab;
}

public class EnemyWave {
    private int enemyCount;
    public float enemySpeed;
    public int signCount;

    public EnemyWave(int enemy_count, float enemy_speed, int sign_count)
    {
         this.enemyCount= enemy_count;
         this.enemySpeed= enemy_speed;
         this.signCount= sign_count;
    }
    public int getEnemyCount()
    {
        return enemyCount+ Random.Range(1, 2);
    }
    public float getEnemySpeed()
    {
        return enemySpeed;
    }
    public int getSignCount()
    {
        return signCount;
    }
    public void setEnemyCount(int enemy_count)
    {
        this.enemyCount = enemy_count;
    }
    public void setEnemySpeed(int enemy_speed)
    {
        this.enemySpeed = enemy_speed;
    }
    public void setSignCount(int sign_count)
    {
        this.signCount = sign_count;
    }



}
